Subject: Re: bug#54965: Installation on bare metal crashing; no matching patterns

From: Maxime Devos <[email-masked]>
Date: Sat, 16 Apr 2022 15:12:47 +0200

crodges schreef op vr 15-04-2022 om 12:36 [-0700]:
> Hello,
> 
> I'm trying to install guix on a partition in my desktop, it's fairly
> recent (ryzen 5900x with Radeon 6800x). I used graphical
> installation with ext4, encrypted partition with mount point on /. I
> have other linux as well as Windows in this machine, each on separate
> partitions.
> 
> The encrypted partition is created, but after that the installation give
> me the error "no matching patterns" in ice-9/boot-9.scm (1669:16)

The other important line here is

  In gnu/system/uuid.scm:
    319:2 19 (uuid->string . _)

Looks like a duplicate of <https://issues.guix.gnu.org/53380>.
Possibly <https://issues.guix.gnu.org/53459#4> applies here as well. 
Did you use the latest installer instead of the 1.3.0?

Greetings,
Maxime.